﻿/**Begin D:\wks\db\PDM_UPGRADE\pdm1\SYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_APIORDERBY') 
 CREATE TABLE T_OPEN_APIORDERBY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORDER_FIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDER_MODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDER_DESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIQUERYFILTER' AND KSQL_COL_NAME ='FFILTER_TYPE') 
 ALTER TABLE T_OPEN_APIQUERYFILTER ADD (FFILTER_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_OPEN_APIBODYENTRY', 'FEXAMPLE', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIBODYENTRY' AND KSQL_COL_NAME ='FOBJPROPNAME') 
 ALTER TABLE T_OPEN_APIBODYENTRY ADD (FOBJPROPNAME NVARCHAR(250) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIBODYENTRY' AND KSQL_COL_NAME ='FBODY_LEVEL') 
 ALTER TABLE T_OPEN_APIBODYENTRY ADD (FBODY_LEVEL NVARCHAR(4) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIBODYENTRY' AND KSQL_COL_NAME ='FIS_BODY_CUSTOM') 
 ALTER TABLE T_OPEN_APIBODYENTRY ADD (FIS_BODY_CUSTOM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIBODYENTRY' AND KSQL_COL_NAME ='FIS_UNIQUE_KEY') 
 ALTER TABLE T_OPEN_APIBODYENTRY ADD (FIS_UNIQUE_KEY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIBODYENTRY' AND KSQL_COL_NAME ='FBODY_DATA_MODEL') 
 ALTER TABLE T_OPEN_APIBODYENTRY ADD (FBODY_DATA_MODEL NVARCHAR(50) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_OPEN_APIRESPENTRY', 'FRESPEXAMPLE', 'NVARCHAR(100)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIRESPENTRY' AND KSQL_COL_NAME ='FRESPOBJPROPNAME') 
 ALTER TABLE T_OPEN_APIRESPENTRY ADD (FRESPOBJPROPNAME NVARCHAR(250) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIRESPENTRY' AND KSQL_COL_NAME ='FRESP_LEVEL') 
 ALTER TABLE T_OPEN_APIRESPENTRY ADD (FRESP_LEVEL NVARCHAR(4) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIRESPENTRY' AND KSQL_COL_NAME ='FIS_RESP_CUSTOM') 
 ALTER TABLE T_OPEN_APIRESPENTRY ADD (FIS_RESP_CUSTOM CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APIRESPENTRY' AND KSQL_COL_NAME ='FRESP_DATA_MODEL') 
 ALTER TABLE T_OPEN_APIRESPENTRY ADD (FRESP_DATA_MODEL NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_CUSTOM_SORT_L') 
 CREATE TABLE T_OPENAPI_CUSTOM_SORT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPENAPI_CUSTOM_SORT') 
 CREATE TABLE T_OPENAPI_CUSTOM_SORT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_3RDAPPS_IPS') 
 CREATE TABLE T_OPEN_3RDAPPS_IPS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTARTIP VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDIP VARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_OPEN_APISERVICE', 'FSELECTPARAM', 'VARCHAR(2000)', 'NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_OPEN_APISERVICE', 'FFILTERPARAM', 'VARCHAR(2000)', 'NULL', '0011', ''' ''';

 EXEC p_AlterColumn 'T_OPEN_APISERVICE', 'FMUSTPARAM', 'VARCHAR(2000)', 'NULL', '0011', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FVERSION') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FVERSION VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FCUSTOMSORT') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FCUSTOMSORT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FORDER_BY_HIDE') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FORDER_BY_HIDE VARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FSAVEOPERATION') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FSAVEOPERATION VARCHAR(2000) );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FISFAILCONTINUE') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FISFAILCONTINUE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='ISFAILCONTINUE') 
 ALTER TABLE T_OPEN_APISERVICE ADD (ISFAILCONTINUE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FISDYOBJRESULT') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FISDYOBJRESULT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FCU_LIMIT_TAC') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FCU_LIMIT_TAC INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FADDEDINFO') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FADDEDINFO VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FADDEDINFO_TAG') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FADDEDINFO_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_APISERVICE' AND KSQL_COL_NAME ='FISVID') 
 ALTER TABLE T_OPEN_APISERVICE ADD (FISVID VARCHAR(20) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS' AND KSQL_COL_NAME ='FALLOWALLAPI') 
 ALTER TABLE T_OPEN_3RDAPPS ADD (FALLOWALLAPI CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS' AND KSQL_COL_NAME ='FCULIMITTAC') 
 ALTER TABLE T_OPEN_3RDAPPS ADD (FCULIMITTAC BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OPEN_3RDAPPS' AND KSQL_COL_NAME ='FALLOWIP') 
 ALTER TABLE T_OPEN_3RDAPPS ADD (FALLOWIP CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_3RDAPPS_AGENCY') 
 CREATE TABLE T_OPEN_3RDAPPS_AGENCY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\wks\db\PDM_UPGRADE\pdm1\SYS_table.sql **/
