IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_RULE_CONFIG') 
 CREATE TABLE T_OPEN_RULE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTRATEGY CHAR(1) DEFAULT '0' NOT NULL,
FGRADE CHAR(1) DEFAULT '1' NOT NULL,
FCONTROLBEHAVIOR CHAR(1) DEFAULT '0' NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(200) DEFAULT ' ',
FRESOURCETYPE CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_RULE_CONFIG_DETAIL') 
 CREATE TABLE T_OPEN_RULE_CONFIG_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FAPPNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FLIMITAPP VARCHAR(100) DEFAULT ' ' NOT NULL,
FRESOURCE VARCHAR(200) DEFAULT ' ' NOT NULL,
FTHIRDID BIGINT DEFAULT 0 NOT NULL,
FAPIID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OPEN_RULE_CONFIG_L') 
 CREATE TABLE T_OPEN_RULE_CONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);